package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 产业标签(GyslCybq)表实体类
 *
 * @author makejava
 * @since 2025-04-02 11:02:35
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gysl_cybq")
@ApiModel(value="产业标签",description = "产业标签")
public class Cybq {

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
   

    private String epguid;
   
    @ApiModelProperty(value ="企业名称" )
    private String epname;
   

    @ApiModelProperty(value ="统一社会信用代码" )
    private String uscc;
   

    @ApiModelProperty(value ="组织机构代码" )
    private String organcode;
   

    @ApiModelProperty(value ="标签值" )
    private String codevalue;
   

    @ApiModelProperty(value ="标签名称" )
    private String labelname;
   

    @ApiModelProperty(value ="标签代码" )
    private String catalogueid;
   

    @ApiModelProperty(value ="标签值编码" )
    private String codekey;
   

    @ApiModelProperty(value ="引用代码集编码" )
    private String cscode;
   

    @ApiModelProperty(value ="引用代码集版本" )
    private String csversion;
   

    @ApiModelProperty(value ="标签注释" )
    private String lablenotes;
   

    @ApiModelProperty(value ="标签状态" )
    private String status;
   

    @ApiModelProperty(value ="更新时间" )
    private String regtime;
   

    @ApiModelProperty(value ="数据来源名称" )
    private String dw_timestamp;
   

    @ApiModelProperty(value ="标签标记场景代码" )
    private String sceneid;
   

    @ApiModelProperty(value ="标签状态" )
    private String labelmark;


}

